<manifest version="1.0" type="device">
    <hal format="hidl">
        <name>vendor.huawei.hardware.hyperhold</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IPersistingData</name>
            <instance>hyperhold_hal</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.smc</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>ISmcCallback</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>ISmc</name>
            <instance>default</instance>
        </interface>
    </hal>
</manifest>
